2005-06-20  Michael Smith <xmldoc@users.sourceforge.net>

	* .cvsignore: New file.

2005-06-17  Michael Smith <xmldoc@users.sourceforge.net>

	* Makefile, param.xsl, param.xweb: Switch to "real" params build (i.e., same as docbook-xsl params).

	* param.xweb: New file.

2005-04-15  Norman Walsh <nwalsh@users.sourceforge.net>

	* website-common.xsl: Explicitly cast summary to a string

	* website-common.xsl: Support @href on tocentry

2005-04-08  Michael Smith <xmldoc@users.sourceforge.net>

	* makefile-dep.xsl: added depends-file param, to help make distclean behave as expected
	when building non-tabular version of website

2005-04-06  Michael Smith <xmldoc@users.sourceforge.net>

	* VERSION, website-common.xsl: VERSION scheme switched to same as that used by "xsl" module;
	this enables auto-submitting info to Freshmeat as part of the build

	* makefile-dep.xsl: clean also now removes depends.nontabular & website.database.xml

2005-03-30  Robert Stayton <bobstayton@users.sourceforge.net>

	* toc-tabular.xsl: Fixed logic for @tocskip attribute.

2005-03-29  Robert Stayton <bobstayton@users.sourceforge.net>

	* autolayout.xsl: Updated public and system identifiers in xsl:output element.

	* toc-tabular.xsl: Fixed bug 1163939: toc-tabular depends on DTD validation.

	* website-common.xsl: Added sample gentext strings for de and fr.

	* website.xsl: Fixed bug 1019573 body tag, accessibility issue.

2005-03-28  Robert Stayton <bobstayton@users.sourceforge.net>

	* olink.xsl: Fixed olink-entity to work with new olink setup.

	* olink.xsl: Updated to work with revisions to olink in main DocBook stylesheet
	starting with version 1.66.

	* website-common.xsl: Fixed bug 1120883 Irrelevant mode attribute.

	* website-common.xsl: Fixed bug 1120877 regarding duplicate match on website in title.markup mode.

2005-01-31  Robert Stayton <bobstayton@users.sourceforge.net>

	* olink.xsl: Applied patch from bug report 1072576 to fix key mismatch since
	1.66.1 update of olinks.

2005-01-06  Jirka Kosek <kosek@users.sourceforge.net>

	* tabular.xsl: Fixed bug #1046632. Added missing relative path in front of image.

2004-06-04  Jirka Kosek <kosek@users.sourceforge.net>

	* toc.xsl, website-common.xsl: Use gentext for "Home" text

2004-06-03  Jirka Kosek <kosek@users.sourceforge.net>

	* tabular.xsl, website.xsl: Process all types of nodes under webpage (including PIs and comments) not only elements.

2003-11-25  Robert Stayton <bobstayton@users.sourceforge.net>

	* website-common.xsl: Use normalize-space() on summary since used as an attribute value.

	* website-common.xsl: baseuri attribute in website.database.xml now adds
	the $filename-prefix value.

2003-09-18  Robert Stayton <bobstayton@users.sourceforge.net>

	* tabular.xsl, website.xsl: Remove unused variable 'filename', which applies
	templates in mode 'filename', but there is no such mode.

2003-09-08  Norman Walsh <nwalsh@users.sourceforge.net>

	* makefile-dep.xsl: Accept patch #787260 from vyt

2003-07-18  Robert Stayton <bobstayton@users.sourceforge.net>

	* tabular.xsl: Added normalize-space() function for summary
	used as an attribute value.

2003-07-11  Norman Walsh <nwalsh@users.sourceforge.net>

	* rss.xsl: Fixed bogus references to @resource instead of @rdf:resource

	* tabular.xsl: Use table.navigation.cell.properties for the table.spacer.image in the navigation column. Use the spacer image again in the hspacer for that row. Added new param to the hspacer template so that the template can tell if its being called for the vspacer cell.

2003-06-22  Norman Walsh <nwalsh@users.sourceforge.net>

	* param.xsl, tabular.xsl: Added table.spacer.image to improve tabular style accessibility. This is a fairly intrusive change, but I think its a significant improvement in accessibility.

2003-05-27  Robert Stayton <bobstayton@users.sourceforge.net>

	* olink.xsl: Fix typo in test attribute.

2003-04-13  Norman Walsh <nwalsh@users.sourceforge.net>

	* head.xsl: Feat Req #703116: add type to script

2003-02-26  Jirka Kosek <kosek@users.sourceforge.net>

	* toc-tabular.xsl: Make comparsion safe even if nav.graphics is specified as string type

2003-02-20  Robert Stayton <bobstayton@users.sourceforge.net>

	* chunk-common.xsl, olink.xsl, website-common.xsl, website-targets.xsl: 
	Added XSL-based olink processing.

2003-02-18  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl: Updated version numbers to 2.4.1

2003-02-16  Norman Walsh <nwalsh@users.sourceforge.net>

	* rss.xsl: Check for localTime function before calling it

2003-01-26  Robert Stayton <bobstayton@users.sourceforge.net>

	* chunk-common.xsl: No longer terminates if exists() function not available.
	Will not track dependencies, so all files built each time.

2003-01-16  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl: Update the public and system identifers

2003-01-11  Robert Stayton <bobstayton@users.sourceforge.net>

	* makefile-dep.xsl: Add optional output-root param so dependency path
	matches the output path.

2002-11-17  Norman Walsh <nwalsh@users.sourceforge.net>

	* website-common.xsl: Patch #540597: add rcsdate.format named template

2002-10-02  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl, head.xsl: Support headlink element

	* chunk-common.xsl: Support references to external pages when using XSLT exists() function to choose build order

2002-09-16  Norman Walsh <nwalsh@users.sourceforge.net>

	* makefile-dep.xsl: Use filename-prefix instead of prefix for consistency

	* param.xsl, tabular.xsl, website-common.xsl, website.xsl: 
	Added allpages.banner

	* tabular.xsl, website.xsl: Remove id attribute from div; conflicts with following a

	* toc-tabular.xsl, toc.xsl: Always calculate toc-rel-path correctly in autolayout (regardless of the current context node)

	* website-common.xsl: Calculate prev/next sequential links correctly even when they cross subdir boundaries

2002-09-15  Norman Walsh <nwalsh@users.sourceforge.net>

	* rss.xsl: Support cvs: date in RSS and updated 1.0 sources

	* website-common.xsl: Handle webpage in title.markup mode

2002-09-12  Norman Walsh <nwalsh@users.sourceforge.net>

	* makefile-dep.xsl: Patch from Michael Wiedmann

2002-09-11  Norman Walsh <nwalsh@users.sourceforge.net>

	* rss.xsl: New file.

	* website-common.xsl: Include rss.xsl

2002-05-24  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl: Output correct doctype public and system identifiers

	* xbel.xsl: Website tracker #518864: make sure lists are valid HTML

2002-05-23  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl: Copy the revisionflag attribute

	* chunk-common.xsl, tabular.xsl: Remove dup. definition of autolayout-file

	* toc-tabular.xsl: Support revisionflag attribute

2002-05-12  Norman Walsh <nwalsh@users.sourceforge.net>

	* head.xsl, website-common.xsl: Output LINK elements in the HEAD for prev/next/up/first/last/etc. (works great in Mozilla 1.0CR1)

2002-04-26  Norman Walsh <nwalsh@users.sourceforge.net>

	* head.xsl: Call user.head.content so stylesheets can put things in page headers

2002-03-20  Norman Walsh <nwalsh@users.sourceforge.net>

	* param.xsl: Deprecated body.attributes attribute-set (in favor of body.attributes named template)

	* tabular.xsl: Use body.attributes named template; support navtocwidth and navbgcolor as a page parameters

	* toc-tabular.xsl: Support toc.expand.depth a page-configurable parameter

	* website-common.xsl: Allow footlink in config of individual pages

	* website.xsl: Use body.attributes named template instead of attribute-set

2001-12-05  Norman Walsh <nwalsh@users.sourceforge.net>

	* chunk-tabular.xsl, chunk-website.xsl: Point to the current rather than the snapshot release

2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>

	* tabular.xsl, website.xsl: Feature #456839: Add class values to body

2001-11-12  Norman Walsh <nwalsh@users.sourceforge.net>

	* tabular.xsl: Added new templates to wrap home.navhead.*

	* toc-tabular.xsl: Support toc.expand.depth to force the top N-levels of the ToC to be expanded

2001-10-13  Norman Walsh <nwalsh@users.sourceforge.net>

	* website-common.xsl: Fixed URI for xsl:import

2001-09-26  Norman Walsh <nwalsh@users.sourceforge.net>

	* makefile-dep.xsl: Handle off-site links in the dependency list

	* website-common.xsl: Attempt to support PHP PI

2001-09-22  Norman Walsh <nwalsh@users.sourceforge.net>

	* website-common.xsl, website.xsl: Remove public/system identifiers from xsl:output; it's impossible for a subsequent customization to remove them, so we shouldn't put them in

2001-09-06  Norman Walsh <nwalsh@users.sourceforge.net>

	* VERSION, autolayout.xsl, chunk-common.xsl, chunk-tabular.xsl, chunk-website-common.xsl, chunk-website.xsl, chunk.xml, chunklib.pl, chunktab.xml, head.xsl, hrefencode.pl, makefile-dep.xsl, param.xsl, tabular.xsl, toc-tabular.xsl, toc.xsl, website-common.xsl, website.xsl, xbel.xsl, xtchunk-tabular.xsl, xtchunk-website.xsl: 
	Merge V2-branch back onto the trunk; I'm abandoning V1-branch and V2-branch henceforth

2001-08-07  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl, param.xsl, toc-tabular.xsl, toc.xsl, website-common.xsl, website.xsl: 
	Allow the TOC to contain links to external websites, parameterize the currentpage marker (@) in the text-only rendering

2001-08-04  Norman Walsh <nwalsh@users.sourceforge.net>

	* VERSION: Make VERSION a parameter so that it isn't an error that it collides with the DocBook stylesheet's VERSION

	* autolayout.xsl: Turn off indentation (don't want extra spaces around copyright holders), but introduce a few linefeeds in safe places

	* website-common.xsl: Why was this generating xhtml? Remove bogus @role hack for copyright holders

2001-07-29  Norman Walsh <nwalsh@users.sourceforge.net>

	* chunk-tabular.xsl, chunk-website.xsl, website-common.xsl: 
	Expand sf.net to sourceforge.net; too many DNS hickups for sf.net

	* head.xsl: Add base element to head

	* toc-tabular.xsl: Make preceding icons clickable

2001-07-10  Norman Walsh <nwalsh@users.sourceforge.net>

	* chunk-common.xsl: Support Xalan implementation of extension functions

2001-07-09  Norman Walsh <nwalsh@users.sourceforge.net>

	* website-common.xsl: Bug #435422; allow config in layout to override feedback.href

2001-07-04  <uid48421@users.sourceforge.net>

	* autolayout.xsl: Fix doctype-system and directory calculation

	* head.xsl: Fix meta tag for http-equiv

	* tabular.xsl: Whitespace changes

	* website-common.xsl: Put commans between copyright holders

2001-06-20  Norman Walsh <nwalsh@users.sourceforge.net>

	* head.xsl: Support http-equiv on meta

	* toc.xsl: Fixed bug where initial pages with more than max.toc.width entries formatted badly

2001-06-17  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl, head.xsl, website-common.xsl: Add support for RDDL

2001-06-14  Norman Walsh <nwalsh@users.sourceforge.net>

	* chunk-tabular.xsl, chunk-website.xsl: Change import to point to web

	* toc-tabular.xsl: Pass relpath to link.to.target so that relative paths are built correctly

	* toc.xsl: Added max.toc.width parameter to control how large the header becomes

	* website-common.xsl: Pass relpath to link.to.target so that relative paths are built correctly; resolve targetdocent with respect to the base URI of autolayout; change the import to point to the web

2001-06-04  Norman Walsh <nwalsh@users.sourceforge.net>

	* autolayout.xsl: Support tocksip attribute and default-filename config option

	* head.xsl: Support absolute CSS stylesheet filenames

	* param.xsl: Add sequential.links

	* tabular.xsl, toc-tabular.xsl, website-common.xsl, website.xsl: 
	Hack and slash; make it work :-)

2001-05-21  Norman Walsh <nwalsh@users.sourceforge.net>

	* param.xsl: Added body.attributes attribute set

	* tabular.xsl: Use body.attributes; make home.navhead.separator a template

2001-04-17  Norman Walsh <nwalsh@users.sourceforge.net>

	* chunk-tabular.xsl, chunk-website.xsl, website-common.xsl: 
	Fixed import paths

	* head.xsl: Fixed VERSION variable reference

	* tabular.xsl: Made table attributes into attribute-sets

2001-04-15  Norman Walsh <nwalsh@users.sourceforge.net>

	* VERSION, autolayout.xsl, chunk-common.xsl, chunk-tabular.xsl, chunk-website.xsl, head.xsl, makefile-dep.xsl, param.xsl, tabular.xsl, toc-tabular.xsl, toc.xsl, website-common.xsl, website.xsl, xbel.xsl: 
	New and very different files

	* VERSION, chunk-tabular.xsl, chunk-website-common.xsl, chunk-website.xsl, chunk.xml, chunklib.pl, chunktab.xml, head.xsl, hrefencode.pl, tabular.xsl, xbel.xsl, xtchunk-tabular.xsl, xtchunk-website.xsl: 
	branches:  1.1.4;
	Initial checkin of V1.10 sources

	* autolayout.xsl: branches:  1.1.2;
	file autolayout.xsl was initially added on branch V2-branch.

	* chunk-common.xsl: branches:  1.1.2;
	file chunk-common.xsl was initially added on branch V2-branch.

	* chunk-tabular.xsl, chunk-website-common.xsl, chunk-website.xsl, chunk.xml, chunklib.pl, chunktab.xml, head.xsl, hrefencode.pl, tabular.xsl, website.xsl, xbel.xsl, xtchunk-tabular.xsl, xtchunk-website.xsl: 
	New file.

	* makefile-dep.xsl: branches:  1.1.2;
	file makefile-dep.xsl was initially added on branch V2-branch.

	* param.xsl: branches:  1.1.2;
	file param.xsl was initially added on branch V2-branch.

	* toc-tabular.xsl: branches:  1.1.2;
	file toc-tabular.xsl was initially added on branch V2-branch.

	* toc.xsl: branches:  1.1.2;
	file toc.xsl was initially added on branch V2-branch.

	* website-common.xsl: branches:  1.1.2;
	file website-common.xsl was initially added on branch V2-branch.

	* website.xsl: branches:  1.2.4;
	Support admon.graphics.extension

	* website.xsl: Initial checkin of V1.10 sources

